Bug 226046 - Merge Review: libsoup
Merge Review: libsoup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Debarshi Ray
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:27 EST by Nobody's working on this, feel free to take it
Modified: 2008-07-30 10:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-30 10:43:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
debarshir: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:27:56 EST
Fedora Merge Review: libsoup

http://cvs.fedora.redhat.com/viewcvs/devel/libsoup/
Initial Owner: mbarnes@redhat.com
Comment 1 Bug Zapper 2008-05-14 08:08:48 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Debarshi Ray 2008-06-15 01:24:40 EDT
MUST Items: 

OK - rpmlint is clean
OK - follows Naming Guidelines
OK - spec file is named as %{name}.spec

xx - package does not meet Packaging Guidelines
    + BuildRoot MUST contain at least %{name}, %{version} and %{release}.
Recommended values can be found at
https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag in decreasing
order of preference.
    + According to
https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make you should use
'make %{?_smp_mflags}' whenever possible. In this case since upstream supports
parallel builds you should use it.
    + According to
https://fedoraproject.org/wiki/Packaging/Guidelines#Why_the_.25makeinstall_macro_should_not_be_used
%makeinstall macro should not be used. To also preserve timestamps you could
consider using:
      make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
      (Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=662427)
    + Looks like http://live.gnome.org/LibSoup would be a better choice for the URL.
    + Why is disable-gtk-doc used? The Fedora 8 package does not use it. Maybe
you could put a comment explaining it.
    + Why not include the ChangeLog in %doc?

OK - license meets Licensing Guidelines
OK - License field meets actual license
OK - upstream license file included in %doc
OK - spec file uses American English
OK - spec file is legible
OK - sources match upstream sources
OK - package builds successfully
OK - ExcludeArch not needed
OK - build dependencies correctly listed
OK - no locales
OK - no shared libraries
OK - package is not relocatable
OK - file and directory ownership
OK - no duplicates in %file

OK - file permissions set properly
    + The preferred attribute definition is: %defattr(-,root,root,-)

OK - %clean present

OK - macros used consistently
    + While %{name} is used at other places, libsoup is used in the %setup and
%files stanzas. You could consider using %{name} in those places too.

OK - contains code and permissable content
OK - -doc is not needed
OK - contents of %doc does not affect the runtime
OK - header files in -devel
OK - no static libraries
OK - -devel has *.pc file and requires pkgconfig
OK - library files without suffix in -devel
OK - -devel requires base package
OK - no libtool archives
OK - %{name}.desktop file not needed
OK - does not own files or directories owned by other packages
OK - buildroot correctly prepped
OK - all file names valid UTF-8

SHOULD Items:

OK - upstream provides license text
xx - no translations for description and summary
OK - package builds in mock successfully
OK - package builds on all supported architectures
OK - package functions as expected
OK - scriptlets are sane
OK - subpackages other than -devel are not needed
OK - pkgconfig files in -devel
OK - no file dependencies
Comment 3 Debarshi Ray 2008-06-20 15:45:11 EDT
The BuildRequires: pkgconfig is not needed because the other -devel
BuildRequires pull in pkgconfig anyway.
Comment 4 Matthew Barnes 2008-06-22 19:30:31 EDT
Fixed in libsoup-2.23.1-4.fc10.
Comment 5 Debarshi Ray 2008-06-24 22:15:43 EDT
Running rpmlint on the installed package in F-8 throws these:

libsoup.x86_64: W: unused-direct-shlib-dependency
/usr/lib64/libsoup-2.2.so.8.5.0 /lib64/libgthread-2.0.so.0
The binary contains unused direct shared library dependencies.  This may
indicate gratuitously bloated linkage; check that the binary has been linked
with the intended shared libraries only.

libsoup.x86_64: W: unused-direct-shlib-dependency
/usr/lib64/libsoup-2.2.so.8.5.0 /lib64/librt.so.1
The binary contains unused direct shared library dependencies.  This may
indicate gratuitously bloated linkage; check that the binary has been linked
with the intended shared libraries only.

libsoup.x86_64: W: unused-direct-shlib-dependency
/usr/lib64/libsoup-2.2.so.8.5.0 /lib64/libgpg-error.so.0
The binary contains unused direct shared library dependencies.  This may
indicate gratuitously bloated linkage; check that the binary has been linked
with the intended shared libraries only.

I don't have a Rawhide system at hand, so not sure whether these are present
there too. These can be removed by putting the following before invoking make
(see anjuta and glade3):
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

Everything else looks fine to me.

+---------------------------------+
| This package is APPROVED by me. |
+---------------------------------+
Comment 6 Debarshi Ray 2008-07-26 03:46:09 EDT
Could you please close this review after resolving the
"unused-direct-shlib-dependency" issues?
Comment 7 Matthew Barnes 2008-07-30 10:43:25 EDT
Fixed in libsoup-2.23.1-6.fc10.

Note You need to log in before you can comment on or make changes to this bug.